// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#import "Apple Tree_Prefix.pch"
#import "ATAnalyzer.h"

//-----------------------------------------------------------------------------
// private methods declaration
//-----------------------------------------------------------------------------

@interface ATAnalyzer (Private)



@end

//-----------------------------------------------------------------------------
// public methods implementation
//-----------------------------------------------------------------------------

@implementation ATAnalyzer

//-----------------------------------------------------------------------------
- (id) init
//-----------------------------------------------------------------------------
{
	[super init];
	
	analyzer = [[AnalyzerWrapper alloc] init]; 
	
	return self;
}
 
//-----------------------------------------------------------------------------
-(void) dealloc
//-----------------------------------------------------------------------------
{
	[analyzer release];
	[super dealloc];
}

//-----------------------------------------------------------------------------
-(BOOL) hasData
//-----------------------------------------------------------------------------
{
	return [analyzer hasData];
}

//-----------------------------------------------------------------------------
-(void)analyze: (NSString*)path
//-----------------------------------------------------------------------------
{
	[[self wrapper] analyze:path];
}

//-----------------------------------------------------------------------------
-(AnalyzerWrapper*) wrapper
//-----------------------------------------------------------------------------
{
	return analyzer;
}

//-----------------------------------------------------------------------------
-(void)CancelOperation
//-----------------------------------------------------------------------------
{
	[analyzer CancelOperation];
}

//-----------------------------------------------------------------------------
- (NSString*) GetElementString:(NSPoint) p
//-----------------------------------------------------------------------------
{
	return [analyzer GetElementString:p];
}

//-----------------------------------------------------------------------------
- (NSRect) getPointRect:(NSPoint) p
//-----------------------------------------------------------------------------
{
	return [analyzer getPointRect:p];
}

@end


//-----------------------------------------------------------------------------
// private methods implementation
//-----------------------------------------------------------------------------

@implementation ATAnalyzer (Private)



@end
