// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#include "ATColor.h"

const float STD_BACKGRND = 0.796875;

ATColor ATColor::_BACK_GRND(STD_BACKGRND, STD_BACKGRND, STD_BACKGRND, 1);
ATColor ATColor::_ACTIVE_BACK_GRND( 0, 0.75, 0, 1 );
ATColor ATColor::_ELEMENT_FRAME( 0, 0, 1, 1 );

ATColor ATColor::_DARK(0.5, 0.5, 0.5);
ATColor ATColor::_LIGHT( 0.98, 0.98, 0.98 );
ATColor ATColor::_ACTIVE_FRAME( 1, 0.7, 0 );

//-----------------------------------------------------------------------------
ATColor ATColor::GetGradientIncrement( const ATColor & to, int steps ) const
//-----------------------------------------------------------------------------
{
	float r=0, g=0, b=0;
	
	r = ( to.Red() - Red() ) / (float)steps;
	g = ( to.Green()  - Green() ) / (float)steps;
	b = ( to.Blue() - Blue() ) / (float)steps;
	
	return ATColor( r, g, b );
}

//-----------------------------------------------------------------------------
void ATColor::IncremenColor( const ATColor & incr )
//-----------------------------------------------------------------------------
{
	_r += incr.Red();
	_g += incr.Green();
	_b += incr.Blue();
}