// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#ifndef AT_CONTROLLER_H
#define AT_CONTROLLER_H

#import <Cocoa/Cocoa.h>
#import "ATAnalyzer.h"
#import "ATTreeView.h"


@interface ATController : NSObject
{
    IBOutlet ATAnalyzer *analyzer;
    IBOutlet NSTextField *targetDirectory;
	 IBOutlet NSPanel *progressPanel;
	 IBOutlet NSWindow *appWindow;
	 IBOutlet NSProgressIndicator *progressBar;
	 IBOutlet NSTextField * statusText;
	 IBOutlet ATTreeView *treeView;
	@private
	 BOOL didPathInit;
}

- (void) awakeFromNib;
- (IBAction)analyze:(id)sender;
- (IBAction)browse:(id)sender;
- (IBAction)cancelAnalyze: (id)sender;
- (NSTextField*) statusText;
- (void) setStatusText:(NSTextField*)text;



@end

#endif //!AT_CONTROLLER_H