// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#ifndef AT_COORDINATES
#define AT_COORDINATES

#import <cocoa/cocoa.h>

class ATCoordinate
{
private:
	float _x;
	float _y;
	
public:
		ATCoordinate( const NSPoint & p ) : _x(p.x), _y(p.y) {}
		ATCoordinate( const CGPoint & p ) : _x(p.x), _y(p.y) {}
		ATCoordinate( float x, float y ) : _x(x), _y(y) {}
	
		bool operator < ( const ATCoordinate & rhs ) const
		{
			bool isLess = false;
			if ( _x < rhs._x )
				isLess = true;
			else if ( _x == rhs._x )
				isLess = (_y < rhs._y );
			return isLess;
		}
};


#endif //!AT_COORDINATES

