// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#ifndef AT_COORDINATE_MAP_H
#define AT_COORDINATE_MAP_H

#include <cocoa/cocoa.h>
#include <map>
#include <set>

#include "ATDiskElement.h"
#include "ATDrawElement.h"
#include "ATCoordinate.h"

//typedef std::map<ATCoordinate, ATDrawElement> CoordContainer;
typedef std::map<int, ATDrawElement> CoordContainer;
typedef std::multimap<float, CoordContainer::iterator> CoordMap;

class ATCoordinateMap
{
	private:
		CoordContainer _drawElements;
		CoordMap _xCoords;
	
	public:
		ATCoordinateMap();
		
		void clear();
		bool empty();
	
		void AddCoordinateRect( const CGRect & rect, ElementMap::iterator & element, const ATColor & color );
		
		CoordContainer::iterator FindElement( const CGPoint & p );
		CoordContainer::iterator FindElement( const NSPoint & p );
		
		CoordContainer::iterator begin() { return _drawElements.begin(); }
		CoordContainer::iterator end()   { return _drawElements.end();   }
		
		CoordContainer::iterator FindElement( const ATElementId & elemenId );
	
	private: 
			
		bool IsInRect( const CGPoint & p, const CGRect & rect );
};

#endif //!AT_COORDINATE_MAP_H