// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#ifndef AT_DRAW_ELEMENT_H
#define AT_DRAW_ELEMENT_H

#include <Cocoa/Cocoa.h>
#include <vector>
#include "ATDiskElement.h"
#include "ATColor.h"

class ATDrawElement;

typedef std::vector<ATDrawElement> DrawElemVector;

class ATDrawElement
{
	private:
		CGRect _rect;
		ElementMap::iterator _pElement;
		ATColor _color;
	
	public:
		ATDrawElement() {};
		ATDrawElement( const CGRect & rect, ElementMap::iterator & pos, const ATColor & color ) : 
			_rect(rect), _pElement(pos), _color(color) {};
		
		bool operator < ( const ATDrawElement & rhs ) const
			{ return _rect.origin.x < rhs._rect.origin.x; }
	
		const CGRect & Rect() const { return _rect; }
		ElementMap::iterator & Element() { return _pElement; }
		const ATColor & Color() const { return _color; }
};


#endif //!AT_DRAW_ELEMENT_H
