// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#ifndef AT_STRING_CONTAINER_H
#define AT_STRING_CONTAINER_H

#include <Cocoa/Cocoa.h>

class ATStringContainer
{

	private:
		NSString * _s;

	public:
		ATStringContainer( NSString * s ) : _s(s)
		{
			[_s retain];
		}
	
		ATStringContainer( const ATStringContainer & sc ) : _s(sc._s)
		{
			[_s retain];
		}
	
		~ATStringContainer()
		{
			[_s release];
		}
	
		operator NSString* () const
		{
			return _s;
		}
	
};


#endif //!AT_STRING_CONTAINER_H

