// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#ifndef AT_STRING_DICTIONARY_H
#define AT_STRING_DICTIONARY_H

#include <Cocoa/Cocoa.h>
#include "ATStringContainer.h"

#include <map>

typedef std::map<unsigned, ATStringContainer> StringMap;

class ATStringDictionary
{
	public:
		ATStringDictionary();
		~ATStringDictionary();
		
		NSString * GetString( NSString * s );
		NSString * AddString( NSString * s );
		
		bool Contains( NSString * s );
		
		void Clear();
		
	protected:
		NSString * GetString( unsigned int hash );
	
	private:
		StringMap _dictionary;
};


#endif //!AT_STRING_DICTIONARY_H