// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#import "Apple Tree_Prefix.pch"
#include "ATStringDictionary.h"

//-----------------------------------------------------------------------------
ATStringDictionary::ATStringDictionary()
//-----------------------------------------------------------------------------
{
}

//-----------------------------------------------------------------------------
ATStringDictionary::~ATStringDictionary()
//-----------------------------------------------------------------------------
{
}

//-----------------------------------------------------------------------------
NSString * ATStringDictionary::GetString( NSString * s )
//-----------------------------------------------------------------------------
{
	NSString * result = nil;
	if ( Contains(s) )
	{
		result = GetString( [s hash] );
	}
	else
	{
		result = AddString( s );
	}
	return result;
}

//-----------------------------------------------------------------------------
NSString * ATStringDictionary::GetString( unsigned int hash )
//-----------------------------------------------------------------------------
{
	NSString * result = nil;
	
	StringMap::iterator pos = _dictionary.find( hash );
	if ( pos!=_dictionary.end() )
	{
		result = static_cast<NSString*>(pos->second);
	}
	
	return result;
}

//-----------------------------------------------------------------------------
bool ATStringDictionary::Contains( NSString * s )
//-----------------------------------------------------------------------------
{
	unsigned int hash = [s hash];
	return _dictionary.end() != _dictionary.find( hash );
}

//-----------------------------------------------------------------------------
NSString * ATStringDictionary::AddString( NSString * s )
//-----------------------------------------------------------------------------
{
	_dictionary.insert( StringMap::value_type([s hash], s) );
	return s;
}

//-----------------------------------------------------------------------------
void ATStringDictionary::Clear()
//-----------------------------------------------------------------------------
{
	_dictionary.clear();
}