// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#import <Cocoa/Cocoa.h>

#import "ATAnalyzer.h"


@interface ATTreeView : NSView
{
	BOOL duringLiveResize;
	
	IBOutlet id controller;
	IBOutlet ATAnalyzer *analyzer;
	NSTrackingRectTag trackingTag;
	
	NSPoint lastPoint;
	NSPoint drawPoint;
}

- (BOOL) duringLiveResize;
- (NSPoint) lastPoint;
- (NSPoint) drawPoint;
- (void) setDuringLiveResize:(BOOL)liveResize;
- (ATAnalyzer*) analyzer;
- (void) applyStatusText:(NSString*)statusText;
- (void) setController:(id)ctrl;

@end
