// 
// Copyright (C) 2005 Stefan Domnanovits
// mailto:stefan@domnanovits.at
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details

#import "Apple Tree_Prefix.pch"
#import "AnalyzerWrapper.h"
#include "Analyzer.h"
#include <string>

Analyzer * g_analyzer = NULL;

@implementation AnalyzerWrapper

//-----------------------------------------------------------------------------
-(id) init
//-----------------------------------------------------------------------------
{
	[super init];
	g_analyzer = new Analyzer();
	return self;
}

//-----------------------------------------------------------------------------
-(void) dealloc
//-----------------------------------------------------------------------------
{
	delete g_analyzer;
	
	[super dealloc];
}

//-----------------------------------------------------------------------------
- (BOOL) hasData
//-----------------------------------------------------------------------------
{
	return g_analyzer->HasData() ? YES : NO;
}

//-----------------------------------------------------------------------------
- (void) analyze:(NSString*) path
//-----------------------------------------------------------------------------
{
	g_analyzer->Analyze( path );
}

//-----------------------------------------------------------------------------
- (void) CancelOperation
//-----------------------------------------------------------------------------
{
	g_analyzer->CancelOperation();
}

//-----------------------------------------------------------------------------
- (void*) analyzer
//-----------------------------------------------------------------------------
{
	return g_analyzer;
}

//-----------------------------------------------------------------------------
- (NSString*) GetElementString:(NSPoint) p
//-----------------------------------------------------------------------------
{
	NSString * result = @"no element found.";
	ATCoordinateMap & coords = g_analyzer->Coordinates();
	CoordContainer::iterator pos = coords.FindElement( p );
	if ( pos != coords.end() )
	{
		result = pos->second.Element()->second.GetPathName();
	}
	return result;
}

//-----------------------------------------------------------------------------
- (NSRect) getPointRect:(NSPoint) p
//-----------------------------------------------------------------------------
{
	NSRect result = NSMakeRect( 0, 0, 0, 0 );
	
	CGRect r = g_analyzer->GetPointRect( p );
	result = NSMakeRect( r.origin.x, r.origin.y, 
								r.size.width, r.size.height );
	
	return result;
}

@end